org.apache.xmlgraphics.xmp

## Class XMPSchema

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchema

- Direct Known Subclasses:
    AdobePDFSchema, DublinCoreSchema, PDFAXMPSchema, PDFUAXMPSchema, PDFVTXMPSchema, PDFXXMPSchema, XAPMMXMPSchema, XMPBasicSchema

      public class XMPSchema
      extends java.lang.Object

  Base class for schema implementations that provide user-friendly access to XMP values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPSchema(java.lang.String namespace, java.lang.String preferredPrefix)` Constructs a new XMP schema object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergeRuleSet` | `getDefaultMergeRuleSet()`
    `java.lang.String` | `getNamespace()`
    `java.lang.String` | `getPreferredPrefix()`
    `protected QName` | `getQName(java.lang.String propName)` Returns the QName for a property of this schema.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPSchema

          public XMPSchema(java.lang.String namespace,
                           java.lang.String preferredPrefix)

      Constructs a new XMP schema object.
      Parameters:
        `namespace` - the namespace URI for the schema
        `preferredPrefix` - the preferred prefix for the schema

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns:
        the namespace URI of the schema

    - #### getPreferredPrefix

          public java.lang.String getPreferredPrefix()

      Returns:
        the preferred prefix of the schema

    - #### getQName

          protected QName getQName(java.lang.String propName)

      Returns the QName for a property of this schema.
      Parameters:
        `propName` - the property name
      Returns:
        the QName for the property

    - #### getDefaultMergeRuleSet

          public MergeRuleSet getDefaultMergeRuleSet()

      Returns:
        the default merge rule set for this XMP schema.

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.